Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80971 - mozilla refuses to start (gnome session in "Phoebe")
Summary: mozilla refuses to start (gnome session in "Phoebe")
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: mozilla
Version: phoebe
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Blizzard
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks: 79578
TreeView+ depends on / blocked
 
Reported: 2003-01-02 21:46 UTC by Michal Jaegermann
Modified: 2007-04-18 16:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-25 19:34:33 UTC


Attachments (Terms of Use)
strace output from an attempt to start mozilla (deleted)
2003-01-02 21:48 UTC, Michal Jaegermann
no flags Details

Description Michal Jaegermann 2003-01-02 21:46:16 UTC
Description of problem:

Clicking on a web browser icon is causing some annoying animation of
a rectangular outline and nothing else.  Trying from a terminal window
a line from the icon properties, i.e. 'htmlview %u' or just 'htmlview'
does not show much else either.  'sh -x /usr/bin/htmlview' prints eventually
on a screen 'exec mozilla' and quietly exits after a while similarly to
running just 'htmlview <whatever>' (not very surprising).

An attempt to "strace", while collecting strace output in a file, has
somewhat different effects.  Something like that is printed on a screen:

Process 1432 attached
Process 1431 suspended
PANIC: attached pid 1432 exited

and the whole thing blocks indefinitely after this line

1432  SYS_252(0, 0x1, 0, 0x421248e4, 0

Yes, I know that the above claims that pid 1432 exited but 'ps' has definitely
different opinion:

root      1166  0.0  0.3  4440 1320 pts/0    S    13:12   0:00  \_ bash
root      1430  0.0  0.1  1508  576 pts/0    S    13:25   0:00      \_ strace -f
-o /tmp/mozstart.3 mozilla
root      1431  0.0  0.2  4056 1012 pts/0    T    13:25   0:00      |   \_
/bin/sh /usr/bin/mozilla
root      1432  0.0  0.0     0    0 pts/0    Z    13:25   0:00      |       \_
[basename <defunct>]
root      1437  0.0  0.1  2572  708 pts/0    R    13:26   0:00      \_ ps uwwaxf

Now only 'kill -9' will allow to terminate that.

The whole 'strace' output is attached.

Comment 1 Michal Jaegermann 2003-01-02 21:48:07 UTC
Created attachment 89074 [details]
strace output from an attempt to start mozilla

Oh, forgot to add.  'galeon' starts without any visible troubles

Comment 2 Bill Nottingham 2003-01-02 23:01:01 UTC
Are you using the stock kernel and glibc?

Comment 3 Michal Jaegermann 2003-01-03 00:10:09 UTC
> Are you using the stock kernel and glibc?

Whatever got installed by anaconda from "Phoebe" CDs.  I try to keep
this test installation in a "naive user" mode as far as possible.
This is an update of an analogous 8.0 setup (see bug #78890) but kernel
and glibc were definitely replaced.  With older kernel I could not
even boot without a "manual intervention"; cf. bug #76603. :-)

Comment 4 Brian Brock 2003-01-08 22:20:38 UTC
which kernel and glibc are you running as the replacement?

Comment 5 Michal Jaegermann 2003-01-08 22:28:21 UTC
Er...  replacement of what? 'kernel-2.4.20-2.2.athlon' and 'glibc-2.3.1-21.i686'
as installed on my hard disk by anaconda.

Comment 6 Warren Togami 2003-02-03 07:32:19 UTC
I just experienced this with mozilla-1.2.1-16.  For some strange reason mozilla
fails to start as root, but works fine with non-root users.  I am using a remote
Xvnc session.


Comment 7 Bill Nottingham 2003-02-20 02:25:34 UTC
Does this persist in beta3?

Comment 8 Christopher Blizzard 2003-02-21 15:42:51 UTC
I'll bet this is the same as the problems with galeon opening inifinte windows.
 Warren, are you still seeing this?

Comment 9 Michal Jaegermann 2003-02-24 21:58:04 UTC
It starts, if quite slowly :-(, on my latest test installation (8.0.94).

Comment 10 Christopher Blizzard 2003-02-25 19:34:33 UTC
Marking WORKSFORME based on reporter comments.


Note You need to log in before you can comment on or make changes to this bug.